[实践OK]Centos7使用YUM进行install或update出现KeyboardInterrupt错误 不指定

jackxiang 2019-2-21 14:34 | |
YUM出现问题:
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1723, in _do_grab
    self._do_perform()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1517, in _do_perform
    raise KeyboardInterrupt
KeyboardInterrupt

  
### 解决方案 ###
### 1.打开文件:
/usr/lib/python2.7/site-packages/urlgrabber/grabber.py

### 2.在文件的1510行左右找到下面这句代码:
elif errcode in (42, 55, 56):

### 修改为:
elif errcode == 42:

### 保存退出
ESC
:wq

### 重新使用yum

Centos7使用YUM进行install或update出现KeyboardInterrupt错误,摘自:http://www.it610.com/article/5022410.htm

作者:jackxiang@向东博客 专注WEB应用 构架之美 --- 构架之美,在于尽态极妍 | 应用之美,在于药到病除
地址:http://jackxiang.com/post/10100/
版权所有。转载时必须以链接形式注明作者和原始出处及本声明!


最后编辑: jackxiang 编辑于2019-2-21 16:03
评论列表
发表评论

昵称

网址

电邮

打开HTML 打开UBB 打开表情 隐藏 记住我 [登入] [注册]